Index: trunk/BNC/qwt/qwt_plot_curve.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_curve.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_curve.cpp	(revision 9383)
@@ -25,5 +25,5 @@
 static void qwtUpdateLegendIconSize( QwtPlotCurve *curve )
 {
-    if ( curve->symbol() && 
+    if ( curve->symbol() &&
         curve->testLegendAttribute( QwtPlotCurve::LegendShowSymbol ) )
     {
@@ -68,5 +68,5 @@
         symbol( NULL ),
         attributes( 0 ),
-        paintAttributes( 
+        paintAttributes(
             QwtPlotCurve::ClipPolygons | QwtPlotCurve::FilterPoints ),
         legendAttributes( 0 )
@@ -225,5 +225,5 @@
 
   The curve will take the ownership of the symbol, hence the previously
-  set symbol will be delete by setting a new one. If \p symbol is 
+  set symbol will be delete by setting a new one. If \p symbol is
   \c NULL no symbol will be drawn.
 
@@ -475,5 +475,5 @@
 
         if ( !doFit && !doFill )
-            doIntegers = true; 
+            doIntegers = true;
     }
 #endif
@@ -488,10 +488,10 @@
     if ( doIntegers )
     {
-        QPolygon polyline = mapper.toPolygon( 
+        QPolygon polyline = mapper.toPolygon(
             xMap, yMap, data(), from, to );
 
         if ( d_data->paintAttributes & ClipPolygons )
         {
-            polyline = QwtClipper::clipPolygon( 
+            polyline = QwtClipper::clipPolygon(
                 clipRect.toAlignedRect(), polyline, false );
         }
@@ -519,5 +519,5 @@
                 if ( d_data->paintAttributes & ClipPolygons )
                 {
-                    polyline = QwtClipper::clipPolygonF( 
+                    polyline = QwtClipper::clipPolygonF(
                         clipRect, polyline, false );
                 }
@@ -557,6 +557,8 @@
 void QwtPlotCurve::drawSticks( QPainter *painter,
     const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-    const QRectF &, int from, int to ) const
-{
+    const QRectF &canvasRect, int from, int to ) const
+{
+    Q_UNUSED( canvasRect )
+
     painter->save();
     painter->setRenderHint( QPainter::Antialiasing, false );
@@ -640,5 +642,5 @@
         mapper.setFlag( QwtPointMapper::WeedOutPoints, false );
 
-        QPolygonF points = mapper.toPointsF( 
+        QPolygonF points = mapper.toPointsF(
             xMap, yMap, data(), from, to );
 
@@ -649,5 +651,5 @@
     {
         const QImage image = mapper.toImage( xMap, yMap,
-            data(), from, to, d_data->pen, 
+            data(), from, to, d_data->pen,
             painter->testRenderHint( QPainter::Antialiasing ),
             renderThreadCount() );
@@ -680,5 +682,5 @@
         {
             const QPolygon points = mapper.toPoints(
-                xMap, yMap, data(), from, to ); 
+                xMap, yMap, data(), from, to );
 
             QwtPainter::drawPoints( painter, points );
@@ -686,5 +688,5 @@
         else
         {
-            const QPolygonF points = mapper.toPointsF( 
+            const QPolygonF points = mapper.toPointsF(
                 xMap, yMap, data(), from, to );
 
@@ -761,6 +763,6 @@
         qreal pw = qMax( qreal( 1.0 ), painter->pen().widthF());
         const QRectF clipRect = canvasRect.adjusted(-pw, -pw, pw, pw);
-        
-        const QPolygonF clipped = QwtClipper::clipPolygonF( 
+
+        const QPolygonF clipped = QwtClipper::clipPolygonF(
             clipRect, polygon, false );
 
@@ -884,5 +886,5 @@
 
 /*!
-  \brief Complete a polygon to be a closed polygon including the 
+  \brief Complete a polygon to be a closed polygon including the
          area between the original polygon and the baseline.
 
@@ -902,5 +904,5 @@
 
     double baseline = d_data->baseline;
-    
+
     if ( orientation() == Qt::Vertical )
     {
@@ -947,7 +949,7 @@
 {
     QwtPointMapper mapper;
-    mapper.setFlag( QwtPointMapper::RoundPoints, 
+    mapper.setFlag( QwtPointMapper::RoundPoints,
         QwtPainter::roundingAlignment( painter ) );
-    mapper.setFlag( QwtPointMapper::WeedOutPoints, 
+    mapper.setFlag( QwtPointMapper::WeedOutPoints,
         testPaintAttribute( QwtPlotCurve::FilterPoints ) );
     mapper.setBoundingRect( canvasRect );
@@ -974,6 +976,6 @@
 
   The interpretation of the baseline depends on the orientation().
-  With Qt::Horizontal, the baseline is interpreted as a horizontal line
-  at y = baseline(), with Qt::Vertical, it is interpreted as a vertical
+  With Qt::Vertical, the baseline is interpreted as a horizontal line
+  at y = baseline(), with Qt::Horizontal, it is interpreted as a vertical
   line at x = baseline().
 
@@ -1050,5 +1052,5 @@
    \return Icon representing the curve on the legend
 
-   \param index Index of the legend entry 
+   \param index Index of the legend entry
                 ( ignored as there is only one )
    \param size Icon size
@@ -1056,5 +1058,5 @@
    \sa QwtPlotItem::setLegendIconSize(), QwtPlotItem::legendData()
  */
-QwtGraphic QwtPlotCurve::legendIcon( int index, 
+QwtGraphic QwtPlotCurve::legendIcon( int index,
     const QSizeF &size ) const
 {
@@ -1154,8 +1156,8 @@
 
 /*!
-  \brief Initialize the data by pointing to memory blocks which 
+  \brief Initialize the data by pointing to memory blocks which
          are not managed by QwtPlotCurve.
 
-  setRawSamples is provided for efficiency. 
+  setRawSamples is provided for efficiency.
   It is important to keep the pointers
   during the lifetime of the underlying QwtCPointerData class.
@@ -1167,5 +1169,5 @@
   \sa QwtCPointerData
 */
-void QwtPlotCurve::setRawSamples( 
+void QwtPlotCurve::setRawSamples(
     const double *xData, const double *yData, int size )
 {
@@ -1184,5 +1186,5 @@
   \sa QwtPointArrayData
 */
-void QwtPlotCurve::setSamples( 
+void QwtPlotCurve::setSamples(
     const double *xData, const double *yData, int size )
 {
Index: trunk/BNC/qwt/qwt_plot_curve.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_curve.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_curve.h	(revision 9383)
@@ -34,5 +34,5 @@
   <dl><dt>a) Assign curve properties</dt>
   <dd>When a curve is created, it is configured to draw black solid lines
-  with in QwtPlotCurve::Lines style and no symbols. 
+  with in QwtPlotCurve::Lines style and no symbols.
   You can change this by calling
   setPen(), setStyle() and setSymbol().</dd>
@@ -53,5 +53,5 @@
   \sa QwtPointSeriesData, QwtSymbol, QwtScaleMap
 */
-class QWT_EXPORT QwtPlotCurve: 
+class QWT_EXPORT QwtPlotCurve:
     public QwtPlotSeriesItem, public QwtSeriesStore<QPointF>
 {
@@ -76,5 +76,5 @@
 
         /*!
-           Draw vertical or horizontal sticks ( depending on the 
+           Draw vertical or horizontal sticks ( depending on the
            orientation() ) from a baseline which is defined by setBaseline().
         */
@@ -91,5 +91,5 @@
            Draw dots at the locations of the data points. Note:
            This is different from a dotted line (see setPen()), and faster
-           as a curve in QwtPlotCurve::NoStyle style and a symbol 
+           as a curve in QwtPlotCurve::NoStyle style and a symbol
            painting a point.
         */
@@ -111,5 +111,5 @@
     {
         /*!
-           For QwtPlotCurve::Steps only. 
+           For QwtPlotCurve::Steps only.
            Draws a step function from the right to the left.
          */
@@ -142,5 +142,5 @@
     {
         /*!
-          QwtPlotCurve tries to find a color representing the curve 
+          QwtPlotCurve tries to find a color representing the curve
           and paints a rectangle with it.
          */
@@ -148,5 +148,5 @@
 
         /*!
-          If the style() is not QwtPlotCurve::NoCurve a line 
+          If the style() is not QwtPlotCurve::NoCurve a line
           is painted with the curve pen().
          */
@@ -192,7 +192,7 @@
 
         /*!
-          Minimize memory usage that is temporarily needed for the 
+          Minimize memory usage that is temporarily needed for the
           translated points, before they get painted.
-          This might slow down the performance of painting 
+          This might slow down the performance of painting
          */
         MinimizeMemory = 0x04,
@@ -201,5 +201,5 @@
           Render the points to a temporary image and paint the image.
           This is a very special optimization for Dots style, when
-          having a huge amount of points. 
+          having a huge amount of points.
           With a reasonable number of points QPainter::drawPoints()
           will be faster.
@@ -211,5 +211,5 @@
     typedef QFlags<PaintAttribute> PaintAttributes;
 
-    explicit QwtPlotCurve( const QString &title = QString::null );
+    explicit QwtPlotCurve( const QString &title = QString() );
     explicit QwtPlotCurve( const QwtText &title );
 
@@ -271,30 +271,30 @@
     void init();
 
-    virtual void drawCurve( QPainter *p, int style,
-        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasRect, int from, int to ) const;
-
-    virtual void drawSymbols( QPainter *p, const QwtSymbol &,
-        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasRect, int from, int to ) const;
-
-    virtual void drawLines( QPainter *p,
-        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasRect, int from, int to ) const;
-
-    virtual void drawSticks( QPainter *p,
-        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasRect, int from, int to ) const;
-
-    virtual void drawDots( QPainter *p,
-        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasRect, int from, int to ) const;
-
-    virtual void drawSteps( QPainter *p,
+    virtual void drawCurve( QPainter *, int style,
+        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
+        const QRectF &canvasRect, int from, int to ) const;
+
+    virtual void drawSymbols( QPainter *, const QwtSymbol &,
+        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
+        const QRectF &canvasRect, int from, int to ) const;
+
+    virtual void drawLines( QPainter *,
+        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
+        const QRectF &canvasRect, int from, int to ) const;
+
+    virtual void drawSticks( QPainter *,
+        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
+        const QRectF &canvasRect, int from, int to ) const;
+
+    virtual void drawDots( QPainter *,
+        const QwtScaleMap &xMap, const QwtScaleMap &yMap,
+        const QRectF &canvasRect, int from, int to ) const;
+
+    virtual void drawSteps( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
         const QRectF &canvasRect, int from, int to ) const;
 
     virtual void fillCurve( QPainter *,
-        const QwtScaleMap &, const QwtScaleMap &, 
+        const QwtScaleMap &, const QwtScaleMap &,
         const QRectF &canvasRect, QPolygonF & ) const;
 
Index: trunk/BNC/qwt/qwt_plot_dict.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_dict.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_dict.cpp	(revision 9383)
@@ -138,6 +138,6 @@
 {
     PrivateData::ItemList list = d_data->itemList;
-    QwtPlotItemIterator it = list.begin();
-    while ( it != list.end() )
+    QwtPlotItemIterator it = list.constBegin();
+    while ( it != list.constEnd() )
     {
         QwtPlotItem *item = *it;
@@ -181,5 +181,5 @@
 
     PrivateData::ItemList list = d_data->itemList;
-    for ( QwtPlotItemIterator it = list.begin(); it != list.end(); ++it )
+    for ( QwtPlotItemIterator it = list.constBegin(); it != list.constEnd(); ++it )
     {
         QwtPlotItem *item = *it;
Index: trunk/BNC/qwt/qwt_plot_glcanvas.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_glcanvas.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_glcanvas.h	(revision 9383)
@@ -14,4 +14,5 @@
 #include <qframe.h>
 #include <qgl.h>
+#include <qpainterpath.h>
 
 class QwtPlot;
@@ -19,5 +20,5 @@
 /*!
   \brief An alternative canvas for a QwtPlot derived from QGLWidget
-  
+
   QwtPlotGLCanvas implements the very basics to act as canvas
   inside of a QwtPlot widget. It might be extended to a full
@@ -31,5 +32,5 @@
 
   \note With Qt4 you might want to use the QPaintEngine::OpenGL paint engine
-        ( see QGL::setPreferredPaintEngine() ). On a Linux test system 
+        ( see QGL::setPreferredPaintEngine() ). On a Linux test system
         QPaintEngine::OpenGL2 shows very basic problems like translated
         geometries.
@@ -77,5 +78,5 @@
         to use QFrame::Shadow instead.
 
-        \note QFrame::StyledPanel and QFrame::WinPanel are unsuported 
+        \note QFrame::StyledPanel and QFrame::WinPanel are unsupported
               and will be displayed as QFrame::Panel.
      */
Index: trunk/BNC/qwt/qwt_plot_grid.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_grid.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_grid.h	(revision 9383)
@@ -40,20 +40,20 @@
     virtual int rtti() const;
 
-    void enableX( bool tf );
+    void enableX( bool );
     bool xEnabled() const;
 
-    void enableY( bool tf );
+    void enableY( bool );
     bool yEnabled() const;
 
-    void enableXMin( bool tf );
+    void enableXMin( bool );
     bool xMinEnabled() const;
 
-    void enableYMin( bool tf );
+    void enableYMin( bool );
     bool yMinEnabled() const;
 
-    void setXDiv( const QwtScaleDiv &sx );
+    void setXDiv( const QwtScaleDiv & );
     const QwtScaleDiv &xScaleDiv() const;
 
-    void setYDiv( const QwtScaleDiv &sy );
+    void setYDiv( const QwtScaleDiv & );
     const QwtScaleDiv &yScaleDiv() const;
 
@@ -66,17 +66,17 @@
 
     void setMinorPen( const QColor &, qreal width = 0.0, Qt::PenStyle = Qt::SolidLine );
-    void setMinorPen( const QPen &p );
+    void setMinorPen( const QPen & );
     const QPen& minorPen() const;
 
-    virtual void draw( QPainter *p,
+    virtual void draw( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &rect ) const;
+        const QRectF &canvasRect ) const;
 
-    virtual void updateScaleDiv( 
-        const QwtScaleDiv &xMap, const QwtScaleDiv &yMap );
+    virtual void updateScaleDiv(
+        const QwtScaleDiv &xScaleDiv, const QwtScaleDiv &yScaleDiv );
 
 private:
-    void drawLines( QPainter *painter, const QRectF &,
-        Qt::Orientation orientation, const QwtScaleMap &,
+    void drawLines( QPainter *, const QRectF &,
+        Qt::Orientation, const QwtScaleMap &,
         const QList<double> & ) const;
 
Index: trunk/BNC/qwt/qwt_plot_histogram.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_histogram.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_histogram.cpp	(revision 9383)
@@ -123,19 +123,19 @@
 /*!
   Build and assign a pen
-    
+
   In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it
   non cosmetic ( see QPen::isCosmetic() ). This method has been introduced
   to hide this incompatibility.
-    
+
   \param color Pen color
   \param width Pen width
   \param style Pen style
-    
+
   \sa pen(), brush()
  */
 void QwtPlotHistogram::setPen( const QColor &color, qreal width, Qt::PenStyle style )
-{   
+{
     setPen( QPen( color, width, style ) );
-}   
+}
 
 /*!
@@ -304,13 +304,13 @@
 /*!
   Assign a series of samples
-    
+
   setSamples() is just a wrapper for setData() without any additional
   value - beside that it is easier to find for the developer.
-    
+
   \param data Data
   \warning The item takes ownership of the data object, deleting
            it when its not used anymore.
 */
-void QwtPlotHistogram::setSamples( 
+void QwtPlotHistogram::setSamples(
     QwtSeriesData<QwtIntervalSample> *data )
 {
@@ -333,6 +333,8 @@
 void QwtPlotHistogram::drawSeries( QPainter *painter,
     const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-    const QRectF &, int from, int to ) const
-{
+    const QRectF &canvasRect, int from, int to ) const
+{
+    Q_UNUSED( canvasRect )
+
     if ( !painter || dataSize() <= 0 )
         return;
@@ -676,9 +678,9 @@
   A plain rectangle without pen using the brush()
 
-  \param index Index of the legend entry 
+  \param index Index of the legend entry
                 ( ignored as there is only one )
   \param size Icon size
   \return A graphic displaying the icon
-    
+
   \sa QwtPlotItem::setLegendIconSize(), QwtPlotItem::legendData()
 */
Index: trunk/BNC/qwt/qwt_plot_histogram.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_histogram.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_histogram.h	(revision 9383)
@@ -37,5 +37,5 @@
 */
 
-class QWT_EXPORT QwtPlotHistogram: 
+class QWT_EXPORT QwtPlotHistogram:
     public QwtPlotSeriesItem, public QwtSeriesStore<QwtIntervalSample>
 {
@@ -59,5 +59,5 @@
         /*!
            Draw a column for each interval. When a symbol() has been set
-           the symbol is used otherwise the column is displayed as 
+           the symbol is used otherwise the column is displayed as
            plain rectangle using pen() and brush().
          */
@@ -77,5 +77,5 @@
     };
 
-    explicit QwtPlotHistogram( const QString &title = QString::null );
+    explicit QwtPlotHistogram( const QString &title = QString() );
     explicit QwtPlotHistogram( const QwtText &title );
     virtual ~QwtPlotHistogram();
@@ -93,5 +93,5 @@
     void setSamples( QwtSeriesData<QwtIntervalSample> * );
 
-    void setBaseline( double reference );
+    void setBaseline( double );
     double baseline() const;
 
@@ -102,5 +102,5 @@
     const QwtColumnSymbol *symbol() const;
 
-    virtual void drawSeries( QPainter *p,
+    virtual void drawSeries( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
         const QRectF &canvasRect, int from, int to ) const;
Index: trunk/BNC/qwt/qwt_plot_intervalcurve.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_intervalcurve.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_intervalcurve.cpp	(revision 9383)
@@ -154,13 +154,13 @@
 /*!
   Assign a series of samples
-    
+
   setSamples() is just a wrapper for setData() without any additional
   value - beside that it is easier to find for the developer.
-    
+
   \param data Data
   \warning The item takes ownership of the data object, deleting
            it when its not used anymore.
 */
-void QwtPlotIntervalCurve::setSamples( 
+void QwtPlotIntervalCurve::setSamples(
     QwtSeriesData<QwtIntervalSample> *data )
 {
@@ -223,19 +223,19 @@
 /*!
   Build and assign a pen
-    
+
   In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it
   non cosmetic ( see QPen::isCosmetic() ). This method has been introduced
   to hide this incompatibility.
-    
+
   \param color Pen color
   \param width Pen width
   \param style Pen style
-    
+
   \sa pen(), brush()
  */
 void QwtPlotIntervalCurve::setPen( const QColor &color, qreal width, Qt::PenStyle style )
-{   
+{
     setPen( QPen( color, width, style ) );
-}   
+}
 
 /*!
@@ -299,5 +299,5 @@
 {
     QRectF rect = QwtPlotSeriesItem::boundingRect();
-    if ( rect.isValid() && orientation() == Qt::Vertical )
+    if ( orientation() == Qt::Vertical )
         rect.setRect( rect.y(), rect.x(), rect.height(), rect.width() );
 
@@ -546,11 +546,11 @@
   If a symbol is assigned it is scaled to size.
 
-  \param index Index of the legend entry 
+  \param index Index of the legend entry
                ( ignored as there is only one )
   \param size Icon size
-    
+
   \sa QwtPlotItem::setLegendIconSize(), QwtPlotItem::legendData()
 */
-QwtGraphic QwtPlotIntervalCurve::legendIcon( 
+QwtGraphic QwtPlotIntervalCurve::legendIcon(
     int index, const QSizeF &size ) const
 {
Index: trunk/BNC/qwt/qwt_plot_intervalcurve.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_intervalcurve.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_intervalcurve.h	(revision 9383)
@@ -25,5 +25,5 @@
   to display error bars or the area between 2 curves.
 */
-class QWT_EXPORT QwtPlotIntervalCurve: 
+class QWT_EXPORT QwtPlotIntervalCurve:
     public QwtPlotSeriesItem, public QwtSeriesStore<QwtIntervalSample>
 {
@@ -77,5 +77,5 @@
     typedef QFlags<PaintAttribute> PaintAttributes;
 
-    explicit QwtPlotIntervalCurve( const QString &title = QString::null );
+    explicit QwtPlotIntervalCurve( const QString &title = QString() );
     explicit QwtPlotIntervalCurve( const QwtText &title );
 
@@ -103,5 +103,5 @@
     const QwtIntervalSymbol *symbol() const;
 
-    virtual void drawSeries( QPainter *p,
+    virtual void drawSeries( QPainter *,
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
         const QRectF &canvasRect, int from, int to ) const;
Index: trunk/BNC/qwt/qwt_plot_item.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_item.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_item.cpp	(revision 9383)
@@ -95,5 +95,5 @@
 
 /*!
-   \brief This method detaches a QwtPlotItem from any 
+   \brief This method detaches a QwtPlotItem from any
           QwtPlot it has been associated with.
 
@@ -305,6 +305,6 @@
 
 /*!
-   On multi core systems rendering of certain plot item 
-   ( f.e QwtPlotRasterItem ) can be done in parallel in 
+   On multi core systems rendering of certain plot item
+   ( f.e QwtPlotRasterItem ) can be done in parallel in
    several threads.
 
@@ -363,5 +363,5 @@
    The default implementation returns an invalid icon
 
-   \param index Index of the legend entry 
+   \param index Index of the legend entry
                 ( usually there is only one )
    \param size Icon size
@@ -369,5 +369,5 @@
    \sa setLegendIconSize(), legendData()
  */
-QwtGraphic QwtPlotItem::legendIcon( 
+QwtGraphic QwtPlotItem::legendIcon(
     int index, const QSizeF &size ) const
 {
@@ -389,20 +389,20 @@
    \return A filled rectangle
  */
-QwtGraphic QwtPlotItem::defaultIcon( 
+QwtGraphic QwtPlotItem::defaultIcon(
     const QBrush &brush, const QSizeF &size ) const
-{   
+{
     QwtGraphic icon;
     if ( !size.isEmpty() )
     {
         icon.setDefaultSize( size );
-        
+
         QRectF r( 0, 0, size.width(), size.height() );
-        
+
         QPainter painter( &icon );
         painter.fillRect( r, brush );
-    }   
-    
+    }
+
     return icon;
-}   
+}
 
 //! Show the item
@@ -558,9 +558,9 @@
    \param bottom Returns the bottom margin
 
-   \return The default implementation returns 0 for all margins
+   The default implementation returns 0 for all margins
 
    \sa QwtPlot::getCanvasMarginsHint(), QwtPlot::updateCanvasMargins()
  */
-void QwtPlotItem::getCanvasMarginHint( const QwtScaleMap &xMap, 
+void QwtPlotItem::getCanvasMarginHint( const QwtScaleMap &xMap,
     const QwtScaleMap &yMap, const QRectF &canvasRect,
     double &left, double &top, double &right, double &bottom ) const
@@ -583,9 +583,9 @@
 
    QwtLegendData is basically a list of QVariants that makes it
-   possible to overload and reimplement legendData() to 
+   possible to overload and reimplement legendData() to
    return almost any type of information, that is understood
    by the receiver that acts as the legend.
 
-   The default implementation returns one entry with 
+   The default implementation returns one entry with
    the title() of the item and the legendIcon().
 
@@ -599,17 +599,17 @@
     QwtText label = title();
     label.setRenderFlags( label.renderFlags() & Qt::AlignLeft );
-            
+
     QVariant titleValue;
     qVariantSetValue( titleValue, label );
     data.setValue( QwtLegendData::TitleRole, titleValue );
-        
+
     const QwtGraphic graphic = legendIcon( 0, legendIconSize() );
     if ( !graphic.isNull() )
-    {   
+    {
         QVariant iconValue;
         qVariantSetValue( iconValue, graphic );
         data.setValue( QwtLegendData::IconRole, iconValue );
-    }   
-        
+    }
+
     QList<QwtLegendData> list;
     list += data;
@@ -659,5 +659,5 @@
          legendData() and legendIcon()
  */
-void QwtPlotItem::updateLegend( const QwtPlotItem *item, 
+void QwtPlotItem::updateLegend( const QwtPlotItem *item,
     const QList<QwtLegendData> &data )
 {
Index: trunk/BNC/qwt/qwt_plot_item.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_item.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_item.h	(revision 9383)
@@ -124,5 +124,5 @@
         Rtti_PlotZone,
 
-        /*! 
+        /*!
            Values >= Rtti_PlotUserItem are reserved for plot items
            not implemented in the Qwt library.
@@ -135,7 +135,7 @@
 
        Various aspects of a plot widget depend on the attributes of
-       the attached plot items. If and how a single plot item 
+       the attached plot items. If and how a single plot item
        participates in these updates depends on its attributes.
-       
+
        \sa setItemAttribute(), testItemAttribute(), ItemInterest
      */
@@ -154,5 +154,5 @@
         /*!
            The item needs extra space to display something outside
-           its bounding rectangle. 
+           its bounding rectangle.
            \sa getCanvasMarginHint()
          */
@@ -175,5 +175,5 @@
     enum ItemInterest
     {
-        /*! 
+        /*!
            The item is interested in updates of the scales
            \sa updateScaleDiv()
@@ -181,5 +181,5 @@
         ScaleInterest = 0x01,
 
-        /*! 
+        /*!
            The item is interested in updates of the legend ( of other items )
            This flag is intended for items, that want to implement a legend
@@ -269,10 +269,10 @@
     virtual QRectF boundingRect() const;
 
-    virtual void getCanvasMarginHint( 
+    virtual void getCanvasMarginHint(
         const QwtScaleMap &xMap, const QwtScaleMap &yMap,
-        const QRectF &canvasSize,
+        const QRectF &canvasRect,
         double &left, double &top, double &right, double &bottom) const;
 
-    virtual void updateScaleDiv( 
+    virtual void updateScaleDiv(
         const QwtScaleDiv&, const QwtScaleDiv& );
 
Index: trunk/BNC/qwt/qwt_plot_layout.cpp
===================================================================
--- trunk/BNC/qwt/qwt_plot_layout.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_layout.cpp	(revision 9383)
@@ -164,6 +164,6 @@
     // canvas
 
-    plot->canvas()->getContentsMargins( 
-        &canvas.contentsMargins[ QwtPlot::yLeft ], 
+    plot->canvas()->getContentsMargins(
+        &canvas.contentsMargins[ QwtPlot::yLeft ],
         &canvas.contentsMargins[ QwtPlot::xTop ],
         &canvas.contentsMargins[ QwtPlot::yRight ],
@@ -845,14 +845,14 @@
   \param dimTitle Expanded height of the title widget
   \param dimFooter Expanded height of the footer widget
-  \param dimAxis Expanded heights of the axis in axis orientation.
+  \param dimAxes Expanded heights of the axis in axis orientation.
 
   \sa Options
 */
 void QwtPlotLayout::expandLineBreaks( Options options, const QRectF &rect,
-    int &dimTitle, int &dimFooter, int dimAxis[QwtPlot::axisCnt] ) const
+    int &dimTitle, int &dimFooter, int dimAxes[QwtPlot::axisCnt] ) const
 {
     dimTitle = dimFooter = 0;
     for ( int axis = 0; axis < QwtPlot::axisCnt; axis++ )
-        dimAxis[axis] = 0;
+        dimAxes[axis] = 0;
 
     int backboneOffset[QwtPlot::axisCnt];
@@ -889,5 +889,5 @@
             {
                 // center to the canvas
-                w -= dimAxis[QwtPlot::yLeft] + dimAxis[QwtPlot::yRight];
+                w -= dimAxes[QwtPlot::yLeft] + dimAxes[QwtPlot::yRight];
             }
 
@@ -912,5 +912,5 @@
             {
                 // center to the canvas
-                w -= dimAxis[QwtPlot::yLeft] + dimAxis[QwtPlot::yRight];
+                w -= dimAxes[QwtPlot::yLeft] + dimAxes[QwtPlot::yRight];
             }
 
@@ -936,29 +936,29 @@
                 if ( axis == QwtPlot::xTop || axis == QwtPlot::xBottom )
                 {
-                    length = rect.width() - dimAxis[QwtPlot::yLeft]
-                        - dimAxis[QwtPlot::yRight];
+                    length = rect.width() - dimAxes[QwtPlot::yLeft]
+                        - dimAxes[QwtPlot::yRight];
                     length -= scaleData.start + scaleData.end;
 
-                    if ( dimAxis[QwtPlot::yRight] > 0 )
+                    if ( dimAxes[QwtPlot::yRight] > 0 )
                         length -= 1;
 
-                    length += qMin( dimAxis[QwtPlot::yLeft],
+                    length += qMin( dimAxes[QwtPlot::yLeft],
                         scaleData.start - backboneOffset[QwtPlot::yLeft] );
-                    length += qMin( dimAxis[QwtPlot::yRight],
+                    length += qMin( dimAxes[QwtPlot::yRight],
                         scaleData.end - backboneOffset[QwtPlot::yRight] );
                 }
                 else // QwtPlot::yLeft, QwtPlot::yRight
                 {
-                    length = rect.height() - dimAxis[QwtPlot::xTop]
-                        - dimAxis[QwtPlot::xBottom];
+                    length = rect.height() - dimAxes[QwtPlot::xTop]
+                        - dimAxes[QwtPlot::xBottom];
                     length -= scaleData.start + scaleData.end;
                     length -= 1;
 
-                    if ( dimAxis[QwtPlot::xBottom] <= 0 )
+                    if ( dimAxes[QwtPlot::xBottom] <= 0 )
                         length -= 1;
-                    if ( dimAxis[QwtPlot::xTop] <= 0 )
+                    if ( dimAxes[QwtPlot::xTop] <= 0 )
                         length -= 1;
 
-                    if ( dimAxis[QwtPlot::xBottom] > 0 )
+                    if ( dimAxes[QwtPlot::xBottom] > 0 )
                     {
                         length += qMin(
@@ -966,5 +966,5 @@
                             double( scaleData.start - backboneOffset[QwtPlot::xBottom] ) );
                     }
-                    if ( dimAxis[QwtPlot::xTop] > 0 )
+                    if ( dimAxes[QwtPlot::xTop] > 0 )
                     {
                         length += qMin(
@@ -984,7 +984,7 @@
 
 
-                if ( d > dimAxis[axis] )
-                {
-                    dimAxis[axis] = d;
+                if ( d > dimAxes[axis] )
+                {
+                    dimAxes[axis] = d;
                     done = false;
                 }
@@ -1020,5 +1020,5 @@
         if ( !( options & IgnoreFrames ) )
         {
-            backboneOffset[axis] += 
+            backboneOffset[axis] +=
                 d_data->layoutData.canvas.contentsMargins[axis];
         }
@@ -1089,5 +1089,5 @@
                     const double cRight = canvasRect.right(); // qreal -> double
                     canvasRect.setRight( qMin( cRight, axisRect.right() + dx ) );
-                }   
+                }
 
                 const double maxRight = rightScaleRect.right();
Index: trunk/BNC/qwt/qwt_plot_layout.h
===================================================================
--- trunk/BNC/qwt/qwt_plot_layout.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_plot_layout.h	(revision 9383)
@@ -42,5 +42,5 @@
         IgnoreScrollbars = 0x02,
 
-        //! Ignore all frames. 
+        //! Ignore all frames.
         IgnoreFrames = 0x04,
 
@@ -62,5 +62,5 @@
 
     void setCanvasMargin( int margin, int axis = -1 );
-    int canvasMargin( int axis ) const;
+    int canvasMargin( int axisId ) const;
 
     void setAlignCanvasToScales( bool );
@@ -82,5 +82,5 @@
 
     virtual void activate( const QwtPlot *,
-        const QRectF &rect, Options options = 0x00 );
+        const QRectF &plotRect, Options options = Options() );
 
     virtual void invalidate();
